<?xml version="1.0" encoding="utf-8"?>

<File Version="1.0">

	<ExtensionPoint ID="CascadeStyleSheet" Enable="1">
		<Plugin ID="GM::MouseKeyDialog" Bundle="..\CSS.dll" Enable="1">
			<ExtraConfig>
				<Item Name="Default" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="#000000" BGTrans="" BGImage="Image\GM\Theme1\DialogMouseKey.png" SizeToImage="1"/>
				<Item Name="CheckBox" Width="59" Height="16" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_AUTOCHECKBOX" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="TextEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="NumberEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="ListBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_VSCROLL | LBS_NOTIFY | LBS_NOINTEGRALHEIGHT" StyleEx="" FontName="" FontHeight="16" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="Label" Width="29" Height="13" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_CENTER" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#CDCDCD" BGColor="" BGTrans="1"/>
				<Item Name="SliderCtrl" Width="150" Height="24" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | TBS_HORZ | TBS_BOTH | TBS_NOTICKS" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ImageBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="1"/>
				<Item Name="ImageList" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="1"/>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="CWTWindowPrototype" Enable="1">
		<Plugin ID="GM::MouseKeyDialog" Bundle="..\CWT.dll" Enable="1">
			<Collaboration ExtensionPointID="CascadeStyleSheet" PluginID="GM::MouseKeyDialog"/>
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="GM::MouseKeyDialog"/>
			<ExtraConfig>
				<RowLayout RowFillH="1" MarginL="1" MarginR="1" MarginB="1">
					<VirtualBox Height="1">
					</VirtualBox>
					<ListBox Height="remain" ID="GM::ID_MK_MouseKeyMenu" TrackMouse="1">
						<Item>預設</Item>
						<Item>鍵盤單鍵功能</Item>
						<Item>鍵盤複合鍵功能</Item>
						<Item>滑鼠功能</Item>
						<Item>靈敏度控制</Item>
						<Item>巨集</Item>
						<Item>N連發</Item>
						<Item>啟動程式</Item>
						<Item>多媒體</Item>					
						<Item>Windows快捷鍵</Item>						
						<Item>停用</Item>
					</ListBox>
					<!--invisible widget-->
					<TextEdit Visible="0" ID="GM::ID_MK_ActiveMouseKeyIndex"/>
					<TextEdit Visible="0" ID="GM::ID_MK_MouseKeySummary"/>
					<TextEdit Visible="0" ID="GM::ID_MK_MouseKeySubStr"/>
					<TextEdit Visible="0" ID="GM::ID_MK_MouseKeySubStr_SingleKey"/>
					<TextEdit Visible="0" ID="GM::ID_MK_MouseKeySubStr_ComboKey"/>
					<TextEdit Visible="0" ID="GM::ID_MK_MouseKeySubStr_MouseFunction"/>
					<TextEdit Visible="0" ID="GM::ID_MK_MouseKeySubStr_DPIKey"/>
					<TextEdit Visible="0" ID="GM::ID_MK_MouseKeySubStr_MacroKey"/>
					<TextEdit Visible="0" ID="GM::ID_MK_MouseKeySubStr_FireKey"/>
					<TextEdit Visible="0" ID="GM::ID_MK_MouseKeySubStr_SatrtProcess"/>
					<TextEdit Visible="0" ID="GM::ID_MK_MouseKeySubStr_MediaKey"/>
					<TextEdit Visible="0" ID="GM::ID_MK_MouseKeySubStr_WindowsHotkey"/>
				</RowLayout>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="CWTEventListener" Enable="1">
		<Plugin ID="GM::MouseKeyDialog" Bundle="GamingMouseMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbAppSetting" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxProvider" PluginID="GamingMouse"/>	
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GM::SingleKeyDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GM::ComboKeyDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GM::MouseFunctionDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GM::DPIKeyDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GM::MacroKeyDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GM::FireKeyDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GM::StartProcessDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GM::MediaKeyDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GM::WindowsKeyDialog"/>
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="GM::I_PbGamingMouseWriter" PluginID="GamingMouse"/>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbDialogInvoker" Enable="1">
		<Plugin ID="GM::MouseKeyDialog" Bundle="..\DialogInvoker.dll" Enable="1">
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GM::MouseKeyDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvokerExt" PluginID="GM::MouseKeyDialog"/>
			<ExtraConfig>
				<Title>Mouse Key Dialog</Title>
				<Size Width="190" Height="180" Resize="0" NoFrame="1"/>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>
	
	<ExtensionPoint ID="I_PbDialogInvokerExt" Enable="1">
		<Plugin ID="GM::MouseKeyDialog" Bundle="GamingMouseMain.dll" Enable="1">
			<Collaboration ExtensionPointID="GM::I_PbUserProfileFacade" PluginID="GamingMouse"/>
			<Collaboration ExtensionPointID="I_PbSkinTextColor" PluginID="GM::MouseKeyDialog"/>
			<Collaboration ExtensionPointID="I_PbSkinLanguage" PluginID="GM::MouseKeyDialog"/>
		</Plugin>
	</ExtensionPoint>

</File>
